@media (max-width: 1366px){
	.thsn-footer-style-2 .thsn-footer-highlight-title {
		font-size: 200px;
	}
	.thsn-footer-style-3 .container,
	.thsn-footer-style-2 .container {
		padding: 0 30px;
	}
	.thsn-footer-style-3 .thsn-footer-marquee-wrapper {
		padding: 30px 0;
	}
	.thsn-footer-style-3 .thsn-footer-marquee-item {
		font-size: 100px;
	}
	.thsn-footer-style-3 .thsn-footer-widget-area .thsn-footer-widget:first-child {
		padding-right: 60px;
	}
	.thsn-footer-style-3 .thsn-footer-contact-box.thsn-footer-contact-box-2 {
		padding: 0 0px 0 75px;
	}
	.thsn-container-width-1290 .thsn-team-single-style-3.container,
	.thsn-service-single-style-3 .thsn-service-feature-image.container {
		padding: 0 30px;
	}
	.thsn-team-single-style-3 .thsn-team-single .thsn-team-title {
		font-size: 40px;
		line-height: 50px;
	}
	.thsn-team-single-style-3 .thsn-team-single .thsn-content-area{
		padding: 0 0 0 30px;
	}
}
@media (max-width: 1200px){
	.admin-bar .site-header .thsn-sticky-header-mobile-yes.thsn-header-sticky-yes {
		top: 32px;
	}
	.site-header .thsn-sticky-header-mobile-yes.thsn-header-sticky-yes {
		display: block !important;
	}
	.site-header .thsn-sticky-header-mobile-yes.thsn-header-sticky-yes {
		position: fixed;
		visibility: visible;
		left: 0px;
		top: 0px;
		box-shadow: 0 2px 5px rgb(0 0 0 / 8%);
		width: 100%;
		z-index: 999;
		transition: all 200ms ease;
		-moz-transition: all 200ms ease;
		-webkit-transition: all 200ms ease;
		-ms-transition: all 200ms ease;
		-o-transition: all 200ms ease;
	}
	.site-header .thsn-sticky-on.thsn-sticky-header-mobile-yes.thsn-header-sticky-yes,
	.site-header.thsn-header-style-4 .thsn-header-wrapper.thsn-sticky-on {
		visibility: visible;
		-ms-animation-name: fadeInDown;
		-moz-animation-name: fadeInDown;
		-op-animation-name: fadeInDown;
		-webkit-animation-name: fadeInDown;
		animation-name: fadeInDown;
		-ms-animation-duration: 300ms;
		-moz-animation-duration: 300ms;
		-op-animation-duration: 300ms;
		-webkit-animation-duration: 300ms;
		animation-duration: 300ms;
		-ms-animation-timing-function: linear;
		-moz-animation-timing-function: linear;
		-op-animation-timing-function: linear;
		-webkit-animation-timing-function: linear;
		animation-timing-function: linear;
		-ms-animation-iteration-count: 1;
		-moz-animation-iteration-count: 1;
		-op-animation-iteration-count: 1;
		-webkit-animation-iteration-count: 1;
		animation-iteration-count: 1;
	}
	@-webkit-keyframes fadeInDown {
		from {
			opacity: 0;
			-webkit-transform: translate3d(0, -100%, 0);
			transform: translate3d(0, -100%, 0);
		}
		to {
			opacity: 1;
			-webkit-transform: translate3d(0, 0, 0);
			transform: translate3d(0, 0, 0);
		}
	}
	@keyframes fadeInDown {
		from {
			opacity: 0;
			-webkit-transform: translate3d(0, -100%, 0);
			transform: translate3d(0, -100%, 0);
		}
		to {
			opacity: 1;
			-webkit-transform: translate3d(0, 0, 0);
			transform: translate3d(0, 0, 0);
		}
	}
	.thsn-header-style-2 .thsn-header-wrapper.thsn-sticky-header-mobile-yes.thsn-sticky-on, 
	.thsn-header-style-1 .thsn-header-wrapper.thsn-sticky-header-mobile-yes.thsn-sticky-on {
		position: fixed !important;
		width: 100% !important;
	}
	.thsn-responsive-logo-yes.thsn-sticky-on .thsn-sticky-logo, 
	.thsn-responsive-logo-yes.thsn-sticky-on .thsn-main-logo {
		display: none !important;
	}
	.site-header.thsn-header-style-4 .thsn-header-wrapper.thsn-sticky-on {
		box-shadow: 0 2px 5px rgb(0 0 0 / 8%);
	}
	#page.site {
		overflow: hidden;
	}
	.container {
		max-width: none;
	}
	/* --------------------------------------
	 * Theme Special
	 * ---------------------------------------*/
	.thsn-tabs .thsn-tab-content-wrapper .thsn-tab-content-inner .thsn-tab-content-img img{
		width: 100%;
	}
	.thsn-tabs .thsn-tab-content-inner a.link-button{
		margin-bottom: 20px;
	}
	/*=== footer-social-links ===*/
	.footer-social-links{
		margin-left: -15px;
		margin-right: -15px;
	}
	.thsn-bg-img-hide-1200::before,
	.thsn-bg-img-hide-1200{
		background-image: none !important;
	}
	/*=== Schedule Timetable ===*/
	.mptt-shortcode-wrapper .mptt-navigation-tabs {
		margin-bottom: 40px;
	}
	.mptt-shortcode-wrapper .thsn-select ul li a {
		font-size: 18px;
		line-height: 24px;
		margin: 0 10px 10px;
	}
	.thsn-footer-style-2 .thsn-footer-highlight-title {
        font-size: 150px;
    }
	.thsn-footer-style-3 .thsn-footer-contact-box {
		font-size: 22px;
		line-height: 30px;
	}
	.thsn-footer-style-3 .thsn-footer-contact-box.thsn-footer-contact-box-2 {
		padding: 0 0px 0 60px;
	}
	.thsn-team-single-style-3 .thsn-team-single .row {
		display: block;
	}
	.thsn-team-single-style-3 .thsn-team-single .row .col-md-6{
		max-width: 100%;
	}
	.thsn-team-single-style-3 .thsn-team-single .thsn-content-area {
        padding: 50px 0 0 0;
    }
	.thsn-team-single-style-3 .thsn-team-single .thsn-team-left-inner {
    	margin-right: 0;
	}
}
@media only screen and (min-width: 576px) and (max-width: 1024px){
	/* --------------------------------------
	 * Theme Special
	 * ---------------------------------------*/
	.thsn-twocolum-break-1024-576 .elementor-container > .elementor-column,
	.thsn-twocolum-break-1024-576 .elementor-row > .elementor-column,
	.thsn-twocolum-break-1024-576 .thsn-element-posts-wrapper .thsn-ele{
		-ms-flex: 0 0 50%;
		flex: 0 0 50%;
		max-width: 50%;
	}
}
@media only screen and (min-width: 768px) and (max-width: 991px){
	/* --------------------------------------
	 * Theme Special
	 * ---------------------------------------*/
	.elementor-column.elementor-element.column-break-ipad-100{
		width: 100% !important;
	}
	.elementor-column.elementor-element.column-break-ipad-50{
		width: 50% !important;
	}
	.column-break-ipad-padding .elementor-element-populated{
		padding-left: 0 !important;
	}
	.column-break-ipad-margin .elementor-element-populated{
		margin-right: 0 !important;
	}
	.rtl .column-break-ipad-margin .elementor-element-populated {
		margin-left: 0!important;
	}
	/*=== thsn-footer-big-area ===*/
	.thsn-footer-big-area .thsn-footer-contact-info .thsn-footer-contact-info-inner{
		display: block !important;
	}
	.thsn-footer-big-area .thsn-footer-contact-info .thsn-footer-contact-info-inner .thsn-doctery-icon{
		margin-bottom: 30px;
	}
	.site-footer .thsn-footer-coltype-custom .thsn-footer-widget.thsn-footer-widget-col-1 {
		-ms-flex: 0 0 25%;
		flex: 0 0 25%;
		max-width: 25%;
	}
	.site-footer .thsn-footer-coltype-custom .thsn-footer-widget.thsn-footer-widget-col-2 {
		-ms-flex: 0 0 50%;
		flex: 0 0 50%;
		max-width: 50%;
	}
	.site-footer .thsn-footer-coltype-custom .thsn-footer-widget.thsn-footer-widget-col-3 {
		-ms-flex: 0 0 25%;
		flex: 0 0 25%;
		max-width: 25%;
	}
}
@media (max-width: 1024px){
	body.thsn-sidebar-no.elementor-page #content {
		padding-right: 0;
		padding-left: 0;
	}
	/*=== thsn-team-single ===*/
	.thsn-portfolio-single,
	.thsn-team-single{
		margin: 0 15px;
	}
	.thsn-heading-subheading .thsn-element-title br{
		display: none;
	}
	.thsn-heading-subheading .thsn-element-title{
		font-size: 44px;
		line-height: 50px;
	}
	/* --------------------------------------
	 * Theme Special - Elementor
	 * ---------------------------------------*/
	.thsn-col-stretched-right.thsn-right-bg-50 .thsn-stretched-div{
		display: none;
	}
	.thsn-vertical-text .elementor-heading-title{
		transform: none;
		white-space:  unset;
		display: inline-block;
		left: 0;
		position: static;
		transform-origin: unset;
		bottom: 0;
	}
	/*=== thsn-responsive-imge-1 ===*/
	.thsn-responsive-imge-1 img{
		width: 100%;
	}
	.thsn-responsive-imge-1.elementor-element.elementor-widget-image{
		margin-bottom: 5px !important;
	}
	/*=== thsn-empty-div-height-1024 ===*/
	.thsn-empty-div-height-1024 > div{
		padding-top: 200px;
		padding-bottom: 200px;
	}
	.thsn-elementor-bg-color-secondary.thsn-bg-slider-blur {
    	background-color: rgb(var(--thsn-doctery-secondary-color-rgb), .9) !important;
	}

	.site-footer.thsn-footer-style-2 .thsn-footer-widget.thsn-footer-widget-col-4,
	.site-footer.thsn-footer-style-2 .thsn-footer-widget.thsn-footer-widget-col-3,
	.site-footer.thsn-footer-style-2 .thsn-footer-widget.thsn-footer-widget-col-2,
	.site-footer.thsn-footer-style-2 .thsn-footer-widget.thsn-footer-widget-col-1{
		width: 50%;
		flex: 50%;
        max-width: 50%;
	}
	.thsn-footer-style-2.site-footer {
		padding: 20px 0 0px;
	}
	.thsn-advance-demo .thsn-portfolio-single-style-1  .thsn-portfolio-single{
        margin: 0;
    }
}
@media (max-width: 991px){
	.column-break-ipad-100 .elementor-element-populated  .elementor-widget-icon,
	.column-break-ipad-100 .elementor-element-populated > .elementor-widget-wrap .elementor-icon-wrapper{
		display: none;
	}
	.thsn-ipad-bg-hide{
		background: none !important;
	} 
	.thsn-element-miconheading-style-9 .themesion-element-inner .multi-columns-row > .col-md-20percent{
		-webkit-box-flex: 0;
		-ms-flex: 0 0 33.33%;
		flex: 0 0 33.33%;
		max-width: 33.33%;
	}
	/*=== thsn-element-title ===*/
	.thsn-heading-subheading .thsn-element-title{
		font-size: 40px;
		line-height: 46px;
	}
	/*=== widget-area ===*/
	.widget-area.col-md-3{
		padding-top: 40px;
		padding-bottom: 40px;
	}
	body.single.thsn-sidebar-no #content{
		padding-bottom: 30px;
	}
	/*=== Footer custom width ===*/
	.site-content > .row{
		display: block;
	}
	#secondary.widget-area,
	#primary.content-area{
		display: block;
		-ms-flex: 0 0 100%;
		flex: 0 0 100%;
		max-width: 100%;
	}
	.content-area.col-md-9 {
		padding-bottom: 0px;
	}
	/*=== thsn-overflow-visible-991 ===*/
	.thsn-sortable-list-ul {
		text-align: left;
		margin-bottom: 30px;
	}
	/* --------------------------------------
	 * Theme Special
	 * ---------------------------------------*/
	.themesion-element-viewtype-carousel .container .thsn-carousel-navs{
		position: relative;
		margin-bottom: 30px;
	}
	/*=== thsn-team-single ===*/
	.thsn-team-single-style-1 .thsn-team-summary{
		margin-left: 0; 
		transform: translateX(0%);
	}
	.thsn-team-single-style-1 .thsn-team-details-wrap{
		padding: 30px;
	}
	.thsn-team-single .thsn-team-single-inner > .row{
		display: block;
	}
	.thsn-team-single .thsn-team-single-inner .thsn-team-left-inner{
		margin-right: 0px;
	}
	.thsn-team-single .thsn-team-single-inner .thsn-team-left-inner img{
		width: 100%;
	}
	.thsn-team-single .thsn-team-single-inner > .row .col-md-5,
	.thsn-team-single .thsn-team-single-inner > .row .col-md-7{
		-ms-flex: 0 0 100%;
		flex: 0 0 100%;
		max-width: 100%;
	}
	.thsn-team-single .thsn-team-single-inner > .row .col-md-7{
		margin-top: 50px;
	}
	/*=== thsn-vertical-icon ===*/
	.thsn-vertical-icon.elementor-view-stacked{
		display: none;
	}
	/*=== footer-social-links ===*/
	.rtl .site-footer .thsn-footer-widget:last-child::after,
	.site-footer .thsn-footer-widget::after {
		content: none;
	}
	.footer-social-links{
		border: none;
		padding-top: 0px;
	}
	.site-footer .widget {
		margin: 80px 0 80px;
	}
	.thsn-header-style-2 .thsn-title-bar-content,
	.thsn-header-style-2 .thsn-title-bar-wrapper{
		min-height: 350px;
	}
	/*=== single-thsn-team-member ===*/
	.single-thsn-team-member .thsn-team-single-style-1 .thsn-team-details-wrap::after{
		content: none;
	}
	.thsn-team-single-style-1 .thsn-team-details-wrap .thsn-team-details-inner {
		padding-left: 15px;
		padding-right: 15px;
		padding-top: 30px;
	}

	/* portfolio-single-style-1 */
	.thsn-portfolio-related,
	.thsn-portfolio-single-style-1 {
		padding: 0 30px;
	}
	/*=== thsn-align-left ===*/
	.thsn-align-left .thsn-ele-header-area{
		width: 100%;
	}
	/*=== thsn-align-left ===*/
	.rtl ul.thsn-timelist-list .thsn-timelist-li-value,
	ul.thsn-timelist-list .thsn-timelist-li-value{
		float: none;
		display: block;
	}
	/*WooCommerce-related pages */
	.woocommerce-account .woocommerce-MyAccount-content {
		padding-left: 30px;
	}
	.woocommerce .woocommerce-order-overview {
		display: block;
	}
	.woocommerce .woocommerce-order .woocommerce-order-overview li {
		width: 100% !important;
		border: none !important;
		padding: 25px 10px;
	}
	.wc-block-components-sidebar,
	.wc-block-components-sidebar-layout .wc-block-components-main {
		width: 100% !important;
		padding-left: 0 !important;
		padding-right: 0 !important;
		margin-bottom: 20px;
	}
	.wc-block-cart .wc-block-components-sidebar {
		margin-top: 40px !important;
	}
	.wc-block-components-sidebar-layout.wc-block-cart {
		margin-bottom: 0 !important;
	}
	.woocommerce-order-received .woocommerce .woocommerce-order .woocommerce-order-overview li {
		width: 100% !important;
		border: none !important;
		padding: 25px 10px;
	}
	.is-medium table.wc-block-cart-items .wc-block-cart-items__row {
		padding: 16px 16px;
	}
	table tbody tr, 
	table thead tr {
		border: 1px solid #e6e6e6 !important;
	}
	.woocommerce-page .wp-block-woocommerce-cart .wp-block-woocommerce-cart-order-summary-coupon-form-block.wc-block-components-totals-wrapper {
		border-top: none;
	}
	.wp-block-woocommerce-checkout-order-summary-block.checkout-order-summary-block-fill-wrapper {
		display: none;
	}
	.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-checkout-order-summary__title {
		border-bottom: 0 !important;   
		border-top: 0 !important;
		padding: 20px 15px 20px 0 !important;
	}
	.wc-block-components-totals-wrapper {
		padding: 16px 16px;
	}
	/*=== Schedule Timetable ===*/
	.mptt-shortcode-wrapper .mptt-navigation-tabs {
		margin-bottom: 30px;
	}
	.mptt-shortcode-wrapper .thsn-select ul li a {
		font-size: 16px;
		line-height: 22px;
		margin: 0 8px 10px;
	}
	.site-footer.thsn-footer-style-3 .thsn-footer-widget.thsn-footer-widget-col-4,
	.site-footer.thsn-footer-style-3 .thsn-footer-widget.thsn-footer-widget-col-3,
	.site-footer.thsn-footer-style-3 .thsn-footer-widget.thsn-footer-widget-col-2,
	.site-footer.thsn-footer-style-3 .thsn-footer-widget.thsn-footer-widget-col-1{
		width: 50%;
		flex: 50%;
        max-width: 50%;
	}
	.site-footer.thsn-footer-style-3  .widget {
        margin: 60px 0 30px;
    }
	.thsn-footer-style-3 .thsn-footer-contact-box.thsn-footer-contact-box-2 {
        padding: 0 0px 0 15px;
    }
	.thsn-footer-style-3 .thsn-footer-contact-boxes-area .container .row{
		display: grid;
		gap: 30px;
	}
	.thsn-footer-style-3 .thsn-footer-contact-box{
		max-width: 100%;
	}
	.thsn-footer-style-3 .thsn-footer-marquee-item {
        font-size: 50px;
    }
	.thsn-footer-style-3.site-footer {
		padding: 30px 0 0px;
	}
	.thsn-footer-style-3 .thsn-footer-widget-area .thsn-footer-widget:first-child{
		padding-left: 15px;
	}
	.thsn-footer-style-3 .thsn-footer-section.thsn-footer-widget-area .thsn-footer-widget {
		padding-left: 15px;
	}
	.thsn-advance-demo .thsn-portfolio-single-style-1 {
        padding: 0;
    }
}
@media (max-width: 767px){
	.thsn-phone-bg-hide{
		background: none !important;
	}
	.thsn-element-miconheading-style-9 .themesion-element-inner .multi-columns-row > .col-md-20percent{
		-webkit-box-flex: 0;
		-ms-flex: 0 0 100%;
		flex: 0 0 100%;
		max-width: 100%;
	}
	.thsn-team-form .input-button button{
		width: 100%;
	}
	/*=== widget-area ===*/
	.content-area.col-md-9{
		padding-top: 60px;
	}
	body.single.thsn-sidebar-no #content{
		padding-bottom: 20px;
	}
	/*=== thsn-blog-detail ===*/
	.gallery-columns-2 .gallery-item{
		padding: 0;
		padding-bottom: 15px;
		display: block;
		max-width: 100%;
	}
	.thsn-blog-classic blockquote{
		padding-left: 20px;
		padding: 50px 20px;
	}
	.thsn-blog-classic blockquote::after{
		left: 20px;
	}
	/*=== thsn-heading-subheading ===*/
	.thsn-heading-subheading .thsn-element-title{
		font-size: 32px;
		line-height: 42px;
	}
	/*=== thsn-ourhistory-left ===*/
	.thsn-ourhistory-left .label{
		display: none;
	}
	.thsn-ourhistory .thsn-ourhistory-right .label{
		display: block;
	}
	.thsn-ourhistory .thsn-ourhistory-right {
		padding-left: 50px;
	}
	/*===* thsn-blog-meta-bottom ===*/
	.thsn-blog-meta-bottom .thsn-blog-meta-bottom-right{
		margin-top: 15px;
	}
	/*=== thsn-footer-text-area ===*/
	.thsn-footer-text-area .row{
		display: block;
	}
	.thsn-footer-text-area .row .col-md-6{
		width: 100%;
		text-align: center;
	}
	.rtl .thsn-footer-social-area ul,
	.thsn-footer-text-area .thsn-social-links,
	.thsn-footer-menu-area {
		text-align: center;
	}
	.thsn-footer-text-area .thsn-social-links{
		padding: 0;
		margin-top: 25px;
	}
	.thsn-footer-menu-yes .thsn-footer-copyright-text-area{
		margin-top: 0px;
		text-align: center;
	}
	.thsn-footer-text-area {
		padding-top: 30px;
		padding-bottom: 30px;
	}
	body .thsn-bgimage-position-right-center-767 {
		background-position: right center !important;
	}
	/*=== Post navigation break ===*/
	.post-navigation .nav-links{
		display: block;
	}
	.post-navigation .nav-links .nav-next {
		margin-top: 15px;
	}
	.thsn-portfolio-single .nav-links .nav-next .thsn-portfolio-nav-wrapper{
		margin-left: 2px;
		margin-right: unset;
	}
	.rtl .thsn-portfolio-single .nav-links .nav-next .thsn-portfolio-nav-wrapper {
		margin-right: 2px;
		margin-left: unset;
	}
	.thsn-portfolio-single .nav-links .nav-next .thsn-portfolio-nav-wrapper {
		text-align: left;
	}
	.rtl .thsn-portfolio-single .nav-links .nav-next .thsn-portfolio-nav-wrapper {
		text-align: right;
	}
	.post-navigation .nav-links .nav-next {
		margin-top: 0;
	}
	/* --------------------------------------
	 * Theme Special
	 * ---------------------------------------*/
	.themesion-element-client.themesion-element-viewtype-row-column[data-columns="4"] .thsn-ele-client{
		width: 50%;
	}
	/*=== thsn-empty-div-height-1024 ===*/
	.thsn-empty-div-height-767 > div{
		padding-top: 200px;
		padding-bottom: 200px;
	}
	/*=== thsn-single-project-details-list ===*/
	.thsn-portfolio-lines-wrapper ul{
		display: block;
	}
	/*=== thsn-vertical-sep ===*/
	.thsn-vertical-sep.elementor-inner-column{
		border: 0;
	}
	.thsn-vertical-sep.elementor-inner-column::after,
	.thsn-vertical-sep.elementor-inner-column::before{
		display: none;
	}
	/*=== thsn-testimonial-style-3 ===*/
	.thsn-col-Quotes.thsn-col-stretched-yes .thsn-stretched-div::after {
		display: none;
	}
	/*=== thsn-timeline ===*/
	.thsn-timeline{
		margin: 0 15px;
	}
	.thsn-ourhistory h4{
		font-size: 26px;
	}
	.thsn-footer-text-area .col-md-6 .thsn-footer-logo{
		text-align: center;
	}
	/*=== thsn-ihbox-process ===*/
	.thsn-ihbox-process > .elementor-container{
		margin-right: 0px;
	}
	.thsn-ihbox-process > .elementor-container > .elementor-row {
		margin-left: 0px;
	}
	/*=== thsn-blog-classic ===*/
	.thsn-blog-classic .thsn-blog-classic-inner {
		padding: 30px 30px 30px;
	}
	/*=== error404 ===*/
	.error404 h2.page-title{
		font-size: 100px;
		line-height: 100px;
	}
	.error-404 {
		margin-left: 20px;
		margin-right: 20px;
		width: calc(100% - 40px);
	}
	/*=== thsn-tabs ===*/
	.thsn-tabs-heading, 
	.thsn-tabs .thsn-tabs-heading li.thsn-tab-li-active::after {
		display: none !important;
	}
	.thsn-tabs .thsn-tab-content-wrapper{
		margin-top: 0;
		margin-bottom: 0;
	}
	.thsn-tabs .thsn-tabs-heading li{
		width: 150px;
	}
	.thsn-tab-content .thsn-tab-content-title{
		display: block;
		background-color: transparent;
		padding: 10px 20px;
		margin-bottom: 10px;
		border-radius: 5px;
		border: 1px solid #e6e6e6;
		font-size: 18px;
	}
	.thsn-tab-content{
		display: block;
	}
	.thsn-tab-content .thsn-tab-content-inner{
		display: none;
	}
	.thsn-tab-content.thsn-tab-active .thsn-tab-content-inner {
		display: block;
	}
	.thsn-tabs .thsn-tab-content-wrapper{
		padding: 0 15px;
	}
	.thsn-tab-content-title.thsn-tab-li-active + .thsn-tab-content-inner{
		display: block;
	}
	.thsn-tabs .thsn-tab-content-title .thsn-tab-icon,
	.thsn-tab-content .thsn-tab-content-title i{
		margin-right: 10px;
		font-size: 30px;
	}
	.thsn-tab-content-title .thsn-tab-svg-wrapper svg{
		width: 30px;
		height: 30px;
	}
	.thsn-tab-content-title.thsn-tab-li-active i,
	.thsn-tab-content-title.thsn-tab-li-active{
		color: #fff;
	}
	/*=== thsn-footer-big-area ===*/
	.thsn-footer-big-area .thsn-footer-boxes{
		margin-bottom: 30px;
	}
	.thsn-footer-big-area .thsn-footer-boxes:last-child{
		margin-bottom: 0;
	}
	.footer-wrap.thsn-footer-big-area{
		padding-top: 60px;
		padding-bottom: 60px;
	}
	.site-footer .widget {
		margin: 0px 0 30px;
	}
	.thsn-footer-widget-area{
		padding-top: 50px;
	}
	.thsn-footer-text-area .thsn-footer-menu-area,
	.thsn-footer-text-area .thsn-footer-text-inner{
		text-align: center;
	}
	/*=== thsn-single-project-details-list ===*/
	.thsn-single-project-details-list{
		margin: -50px 20px 0;
		padding: 30px;
	}
	.thsn-portfolio-lines-wrapper .thsn-portfolio-line-li::before{
		content: none;
	}
	/*=== footer-social-links ===*/
	.footer-social-links{
		margin-left: 0px;
	}
	.rtl .footer-social-links {
		margin-left: inherit;
		margin-right: 0;
	}
	.thsn-footer-widget .footer-social-links,
	.thsn-footer-widget .footer-newsletter-links{
		text-align: left;
	}
	.rtl .thsn-footer-widget .footer-social-links,
	.rtl .thsn-footer-widget .footer-newsletter-links{
		text-align: right;
	}
	/*=== elementor-widget-align-center ===*/
	.elementor-widget-mobile__width-inherit.elementor-widget {
		text-align: center;
	}
	/*WooCommerce-related pages */
	.woocommerce-account .woocommerce-MyAccount-content,
	.woocommerce-account .woocommerce-MyAccount-navigation {
		width: 100%;
		padding-left: 0;
	}
	.woocommerce-account.woocommerce-orders table.my_account_orders th:first-child {
		padding-left: 15px;
	}
	.woocommerce table.shop_table_responsive tr, 
	.woocommerce-page table.shop_table_responsive tr {
		display: table-row !important;
		border: none;
	}
	.wc-block-cart table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__product {
		text-align: center;
	}
	.wc-block-cart table.wc-block-cart-items .wc-block-cart-items__row {
		padding: 15px !important;
		border: 1px solid #e0e0e0;
		margin-bottom: 50px;
		border-radius: 10px;
	}
	.wc-block-components-order-summary .wc-block-components-order-summary-item__image>img {
		border: 1px solid #e0e0e0;
	}
	.is-medium table.wc-block-cart-items .wc-block-cart-items__row, 
	.is-mobile table.wc-block-cart-items .wc-block-cart-items__row, 
	.is-small table.wc-block-cart-items .wc-block-cart-items__row {
		grid-template-columns: 150px 132px !important;
	}
	.woocommerce-page .wp-block-woocommerce-cart .wp-block-woocommerce-cart-order-summary-coupon-form-block.wc-block-components-totals-wrapper {
		border-top: none;
	}
	.wp-block-woocommerce-checkout-order-summary-block .wc-block-components-checkout-order-summary__title {
		border-bottom: 0;   
		border-top: 0;
		padding: 20px 15px 20px 0 !important;
	}
	.woocommerce-account .woocommerce-MyAccount-content {
		padding: 25px 15px 15px 15px;
	}
	.woocommerce-checkout .wp-block-woocommerce-checkout-order-summary-block .wc-block-components-checkout-order-summary__title {
		border-bottom: 0;
		border-top: 0;
	}
	/*=== Classes calendar ===*/
	.mptt-shortcode-wrapper .thsn-select ul li {
		display: block;
		padding: 16px 10px;
		margin-bottom: 0;
		border-bottom: 1px solid rgba(var(--thsn-doctery-blackish-color-rgb), .15);
	}
	.mptt-shortcode-wrapper .thsn-select {
		margin-bottom: 60px;
	}
	.mptt-shortcode-wrapper .thsn-select ul li.active::before {
		display: none;
	}
	.thsn-bg-img-hide-767{
		background-image: none !important;
	}
	.thsn-footer-style-3 .container,
	.thsn-footer-style-2 .container {
        padding: 0 15px;
    }
	.site-footer.thsn-footer-style-3 .widget {
        margin: 30px 0 30px;
    }
	.thsn-footer-style-3 .thsn-footer-widget-area {
        padding-top: 30px;
    }
	.thsn-container-width-1290 .thsn-team-single-style-3.container,
	.thsn-service-single-style-3 .thsn-service-feature-image.container,
	.thsn-footer-style-3 .thsn-footer-section.thsn-footer-widget-area .thsn-footer-widget {
		padding: 0 15px;
	}
	.thsn-service-single-style-3 .thsn-service-feature-image.container img {
    	height: 400px;
	}
	.thsn-team-single-style-3 .thsn-team-single{
		margin: 0;
	}
	.thsn-team-single-style-3 .thsn-team-single .thsn-team-title {
        font-size: 30px;
        line-height: 40px;
    }
	.thsn-team-single-style-3 .thsn-entry-content .elementor-heading-title br{
		display: none;
	}
}
@media (max-width: 729px) {
	.woocommerce-checkout .wc-block-components-totals-wrapper {
		padding: 16px 16px;
	}
}
@media (max-width: 600px) {
	.woocommerce-downloads .woocommerce .woocommerce-info .button {
		position: static;
	}
	.woocommerce-downloads .woocommerce-info::before {
		top: 31%;
	}
	.woocommerce-downloads .woocommerce-info {
		padding: 1em 2em 1em 3.5em;
	}
	.admin-bar .site-header .thsn-sticky-header-mobile-yes.thsn-header-sticky-yes,
	.site-header.thsn-header-style-4 .thsn-header-wrapper {
		top: 45px !important;
	}
	.admin-bar .site-header .thsn-sticky-header-mobile-yes.thsn-header-sticky-yes.thsn-sticky-on,
	.site-header.thsn-header-style-4 .thsn-header-wrapper.thsn-sticky-on {
		top: 0px !important;
	}
}
@media (max-width: 575px) {
	.thsn-grid-575.e-grid.elementor-element {
		--e-con-grid-template-columns: repeat(1, 1fr) !important;
	}
	.thsn-blog-meta .thsn-meta-classic-right {
		padding-left: 0;
		text-align: left;
		display: inline-block;
	}
	.thsn-blog-meta.thsn-blog-meta-top .thsn-meta-classic-left {
		position: static;
		width: auto;
		display: inline-block;
	}
	.thsn-blog-meta.thsn-blog-meta-top .thsn-meta-classic-left .thsn-meta-date {
		padding: 6px 22px;
		margin-right: 10px;
	}
	.thsn-blog-meta.thsn-blog-meta-top{
		text-align: left;
	}
	.rtl .thsn-blog-meta.thsn-blog-meta-top {
		text-align: right;
	}
	.thsn-blog-meta.thsn-blog-meta-top .thsn-meta-classic-left .thsn-meta-date span span{
		display: inline-block;
	}
	.thsn-blog-meta.thsn-blog-meta-top .thsn-meta-classic-left .thsn-meta-date .entry-date{
		font-size: 16px;
		line-height: 26px;
	}
	.thsn-no-img .thsn-blog-meta.thsn-blog-meta-top,
	.thsn-default-view .thsn-blog-meta.thsn-blog-meta-top{
		display: block;
	}
	.thsn-no-img .thsn-blog-meta .thsn-meta-classic-right,
	.thsn-default-view .thsn-blog-meta .thsn-meta-classic-right{
		padding-left: 0;
		display: block;
		margin-bottom: 15px;
	}
	.comment-respond .comment-reply-title{
		font-size: 20px;
		line-height: 30px;
	}
	.comment-respond .comment-reply-title small{
		font-size: 13px;
		line-height: 13px;
	}
	.comment-list .comment-respond{
		padding-left: 0;
	}
	.comment-list .children {
		margin-left: 10px;
	}
	.thsn-comment-content{
		margin-left: 0px;
		margin-top: 25px;
	}
	.rtl .thsn-comment-content {
		margin-right: 0;
	}
	.rtl .thsn-comment-avatar,
	.thsn-comment-avatar{
		float: none;
	}
	.thsn-comment-content::before, .thsn-comment-content::after {
		border-width: 0px 10px 10px 10px;
		border-color: transparent transparent #fff transparent;
	}
	.thsn-comment-content::after {
		border-width: 0px 12px 12px 12px;
		border-color: transparent transparent #e9e9e9 transparent;
	}
	.thsn-comment-content::before{
		top: -10px;
		left: 17px;
	}
	.rtl .thsn-comment-content::before {
		left: inherit;
		right: 17px;
		border-width: 0px 10px 10px 10px;
	}
	.thsn-comment-content::after{
		top: -13px;
		left: 15px;
	}
	.rtl .thsn-comment-content::after {
		left: inherit;
		right: 15px;
		border-width: 0px 12px 12px 12px;
	}
	.thsn-comment-form-input-wrapper{
		display: block;
	}
	.thsn-comment-form-input-wrapper .thsn-comment-form-input{
		flex: none;
		width: 100%;
		margin-left: 0px;
	}
	.thsn-author-box{
		display: block;
	}
	.thsn-author-content{
		margin-top: 20px;
	}
	.site-header .thsn-sticky-on {
		top: 0px !important;
	}
	.admin-bar .site-header .thsn-sticky-header-mobile-yes.thsn-header-sticky-yes {
		top: 45px !important;
	}
	/* --------------------------------------
	* Theme Special
	* ---------------------------------------*/
	/*WooCommerce-related pages */
	.wc-block-grid__products .wc-block-grid__product-image img,
	.woocommerce ul.products li.product img {
		padding: 0;
	}
	.woocommerce div.product div.images .woocommerce-product-gallery__wrapper .woocommerce-product-gallery__image a .wp-post-image {
		padding: 90px 50px;
	}
	.woocommerce-checkout .site-footer input[type="email"] {
		padding-right: 20px !important;
	}
	.woocommerce .woocommerce-order .woocommerce-order-overview li {
		padding: 15px 10px;
	}
	.is-medium table.wc-block-cart-items .wc-block-cart-items__row, 
	.is-mobile table.wc-block-cart-items .wc-block-cart-items__row, 
	.is-small table.wc-block-cart-items .wc-block-cart-items__row {
		display: block !important;
	}
	.is-medium table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__product, 
	.is-mobile table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__product, 
	.is-small table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__product {
		grid-column-end: inherit !important;
		grid-column-start: inherit !important;
		grid-row-start: inherit !important;
		justify-self: inherit !important;
		display: block;
		padding: 0;
	}
	.is-medium table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__image, 
	.is-mobile table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__image, 
	.is-small table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__image {
		display: block !important;
		text-align: center;
	}
	.wc-block-cart table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__total {
		text-align: center;
		margin: 0 !important;
	}
	.editor-styles-wrapper table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__image img, 
	table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__image img {
		width: auto !important;
		border: 1px solid #e0e0e0;
		border-radius: 10px;
	}
	.wc-block-cart table.wc-block-cart-items .wc-block-cart-items__row {
		padding: 30px 15px !important;
		margin-bottom: 20px !important;
	}
	.wc-block-components-sidebar-layout.wc-block-cart {
		padding-top: 0;
		margin: 0;
	}
	.wc-block-components-quantity-selector .wc-block-components-quantity-selector__button {
		padding: 0 !important;
	}
	.wc-block-cart table.wc-block-cart-items .wc-block-cart-items__row .wc-block-cart-item__image {
		margin-bottom: 20px !important;
	}
	.site-footer.thsn-footer-style-3 .thsn-footer-widget.thsn-footer-widget-col-4,
	.site-footer.thsn-footer-style-3 .thsn-footer-widget.thsn-footer-widget-col-3,
	.site-footer.thsn-footer-style-3 .thsn-footer-widget.thsn-footer-widget-col-2,
	.site-footer.thsn-footer-style-3 .thsn-footer-widget.thsn-footer-widget-col-1,
	.site-footer.thsn-footer-style-2 .thsn-footer-widget.thsn-footer-widget-col-4,
	.site-footer.thsn-footer-style-2 .thsn-footer-widget.thsn-footer-widget-col-3,
	.site-footer.thsn-footer-style-2 .thsn-footer-widget.thsn-footer-widget-col-2,
	.site-footer.thsn-footer-style-2 .thsn-footer-widget.thsn-footer-widget-col-1 {
        width:100%;
        flex:100%;
        max-width:100%;
    }
	.thsn-footer-style-2 .thsn-footer-highlight-title{
	    font-size: 60px;
        letter-spacing: 0;
	}
	.thsn-footer-style-2.site-footer .widget {
		margin: 30px 0 0px;
	}
	.thsn-footer-style-2 .thsn-footer-highlight-title-mark {
		top: 0px;
		font-size: 40px;
	}
	.thsn-footer-style-3 .thsn-footer-widget-area .thsn-footer-widget:first-child {
        padding-right: 15px;
    }
	.thsn-footer-style-3 .thsn-footer-marquee-item {
		font-size: 40px;
		padding: 0 10px;
	}
	.thsn-footer-style-3 .thsn-footer-marquee-wrapper {
        padding: 0 0 30px;
    }
	.thsn-footer-style-3.site-footer {
        padding: 0;
    }
}
/*********************** Min start **********************************/
@media screen and (min-width: 768px) {
	.thsn-empty-sidebar #primary {
		flex: 0 0 100%;
		max-width: 100%;
	}
	.col-md-20percent {
		-webkit-box-flex: 0;
		-ms-flex: 0 0 20%;
		flex: 0 0 20%;
		max-width: 20%;
	}
	/*===.thsn-blog-meta-bottom===*/
	.thsn-blog-meta-bottom {
		padding: 20px 0;
		padding-bottom: 0;
		display: -ms-flexbox !important;
		display: flex !important;
		align-items: center;
	}
	.thsn-blog-meta-bottom .thsn-blog-meta-bottom-left {
		margin-right: auto!important;
		width: 50%;
		padding-right: 10px;
	}
	.thsn-blog-meta-bottom.thsn-blog-meta-no-social .thsn-blog-meta-bottom-left{
		width: 100%;
	}
	/*=== Classis Calendar ===*/
	.mptt-shortcode-wrapper .thsn-select ul li.active,
	.mptt-shortcode-wrapper .thsn-select ul li {
		border-width: 0;
	}
}
@media screen and (min-width: 992px) {
	.thsn-sidebar-left #secondary,
	.thsn-sidebar-right #secondary{
		flex: 0 0 34%;
		max-width: 34%;
	}
	.thsn-sidebar-left #primary,
	.thsn-sidebar-right #primary{
		flex: 0 0 66%;
		max-width: 66%;
	}
}
@media (min-width: 1200px){
	.elementor-section.elementor-section-boxed.elementor-element>.elementor-container, .container,
	.elementor-section.elementor-section-boxed>.elementor-container,
	.container {
		max-width: 1200px;
	}
	.thsn-container-width-1290 .elementor-section.elementor-section-boxed.elementor-element>.elementor-container, .container,
	.thsn-container-width-1290 .elementor-section.elementor-section-boxed>.elementor-container,
	.thsn-container-width-1290 .container {
		max-width: 1320px;
	}
	/* --------------------------------------
	* Theme Special
	* ---------------------------------------*/
	/*=== footer-social-links ===*/
	.footer-social-links{
		margin-left: -45px;
		margin-right: -45px;
	}
}
@media (min-width: 1200px){
	.thsn-header-style-2 .thsn-right-box .thsn-header-contactinfo .thsn-header-button-text-1 {
		font-size: 18px;
	}
	.thsn-header-style-2 .thsn-right-box .thsn-header-contactinfo .thsn-header-button-text-2 {
		font-size: 14px;
	}
	.thsn-header-style-2 .thsn-right-box .thsn-header-contactinfo {
		padding-left: 50px;
	}
	.thsn-header-style-2 .thsn-right-box .thsn-header-contactinfo::after {
		font-size: 40px;
		line-height: 40px;
	}
	/*=== thsn-footer-section ===*/
	.thsn-footer-section.thsn-footer-widget-area .thsn-footer-widget {
		padding-right: 45px;
		padding-left: 45px;
	}
	.thsn-footer-section.thsn-footer-widget-area .thsn-footer-widget:first-child {
		padding-left: 15px;
	}
	.rtl .thsn-footer-section.thsn-footer-widget-area .thsn-footer-widget:first-child {
		padding-left: 45px;
		padding-right: 15px;
	}
	.thsn-footer-section.thsn-footer-widget-area .thsn-footer-widget:last-child {
		padding-right: 15px;
	}
	.rtl .thsn-footer-section.thsn-footer-widget-area .thsn-footer-widget:last-child {
		padding-left: 15px;
		padding-right: 45px;
	}
}
@media (min-width: 1200px){
	.thsn-header-style-2::after {
		width: 30%;
	}
	.thsn-header-style-2 .thsn-header-wrapper::after{
		width: 70%;
	}
}
@media (min-width: 1500px){
	.thsn-header-style-2::after {
		width: 32%;
	}
	.thsn-header-style-2 .thsn-header-wrapper::after{
		width: 68%;
	}
}
@media (min-width: 1700px){
	.thsn-header-style-2::after {
		width: 33%;
	}
	.thsn-header-style-2 .thsn-header-wrapper::after{
		width: 67%;
	}
}
@media (min-width: 1300px){
	.thsn-header-style-2 .thsn-slider-area {
		margin-left: 70px;
		margin-right: 70px;
	}
}
@media (min-width: 1400px){
	.thsn-header-style-2 .thsn-slider-area {
		margin-left: 80px;
		margin-right: 80px;
	}
}
@media (min-width: 1500px){
	.thsn-header-style-2 .thsn-slider-area {
		margin-left: 100px;
		margin-right: 100px;
	}
}
@media (min-width: 1600px){
	.thsn-header-style-2 .thsn-slider-area {
		margin-left: 170px;
		margin-right: 170px;
	}
}
@media (min-width: 1800px){
	.thsn-header-style-2 .thsn-slider-area {
		margin-left: 260px;
		margin-right: 260px;
	}
}
@media(min-width: 1800px) and (max-width: 1875px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 180px !important;
	}
}
@media(min-width: 1700px) and (max-width: 1800px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 170px !important;
	}
}
@media(min-width: 1600px) and (max-width: 1700px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 160px !important;
	}
}
@media(min-width: 1500px) and (max-width: 1600px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 150px !important;
	}
}
@media(min-width: 1400px) and (max-width: 1500px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 135px !important;
	}
}
@media(min-width: 1300px) and (max-width: 1400px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 125px !important;
	}
}
@media(min-width: 1200px) and (max-width: 1300px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 110px !important;
	}
}
@media(min-width: 1100px) and (max-width: 1200px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 100px !important;
	}
}
@media(min-width: 1000px) and (max-width: 1100px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 90px !important;
	}
}
@media(min-width: 900px) and (max-width: 1000px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 80px !important;
	}
}
@media(min-width: 800px) and (max-width: 900px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 70px !important;
	}
}
@media(min-width: 700px) and (max-width: 800px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 65px !important;
	}
}
@media(min-width: 600px) and (max-width: 700px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 60px !important;
	}
}
@media(min-width: 500px) and (max-width: 600px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 50px !important;
	}
}
@media(min-width: 400px) and (max-width: 500px){
	.thsn-demo7-slider .n2-ss-slide.n2-ss-slide-active .thsn-text-ani-6 .n2-ss-text {
		font-size: 40px !important;
	}
}

@media(min-width: 768px) and (max-width: 1024px) {
	/*=== Classis Calendar ===*/
	.mptt-shortcode-wrapper .mptt-shortcode-table tbody td.mptt-shortcode-hours {
		font-size: 12px;
		padding: 0 8px!important;
	}
	.mptt-shortcode-wrapper .mptt-shortcode-table tr.mptt-shortcode-row th {
		padding: 5px 8px;
		letter-spacing: 0.5px;
	}
	.mptt-shortcode-wrapper .mptt-shortcode-table tr.mptt-shortcode-row th,
	.mptt-shortcode-wrapper .mptt-shortcode-table tbody .mptt-event-container .event-title {
		font-size: 12px;
	}
	.mptt-shortcode-wrapper .mptt-shortcode-table tbody .mptt-event-container .event-subtitle,
	.mptt-shortcode-wrapper .mptt-shortcode-table tbody .mptt-event-container .event-user {
		font-size: 11px;
	}
}